/******************************************************************************
;  *    @MCU                 : MC51F8124
;  *    @Create Date         : 2022.08.26
;  *    @Author/Corporation  : sinomcu.com_FAE
;  *    @΢֧QQ     : 2048615934
;  *    @΢           : http://www.sinomcu.com/
;  *    @Copyright           : 2022 sinomcu.com Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *                                                                    
******************************************************************************/

#ifndef User_Def_H__
#define User_Def_H__

#include "MC51F8124_COMMON.h"
#include "GPIO.h"
#include "TIMER.h"
#include "LCD.h"

//ȫֺ
#define FSYS_CLOCK  16000000

#define COM0 P10D
#define COM1 P11D
#define COM2 P12D
#define COM3 P13D

//ȫֱ

// //λһ:
// //bdata(ƬRAMλѰַ)
// __O uint8_t bdata Flag_Buff1;    
// sbit Flag_Test=Flag_Buff1^0;

////λ:
//bit   F_xxx;

//λ:
//λ
typedef union {
    unsigned char byte;
    struct
    {
        u8 bit0 : 1;
        u8 bit1 : 1;
        u8 bit2 : 1;
        u8 bit3 : 1;
        u8 bit4 : 1;
        u8 bit5 : 1;
        u8 bit6 : 1;
        u8 bit7 : 1;
    } bits;
}bit_flag;

extern __O bit_flag flag1;
extern __O bit_flag SFR_interrupt_buff_H;
extern __O bit_flag SFR_interrupt_buff_L;

#define FLAG_TIMER0_2ms     flag1.bits.bit0    // 2ms־λ
#define FLAG_TIMER0_1s      flag1.bits.bit1    //1s־λ

#define SFR_INTERRUPT_BUFF_BIT_INT0         SFR_interrupt_buff_H.bits.bit0
#define SFR_INTERRUPT_BUFF_BIT_T0           SFR_interrupt_buff_H.bits.bit1
#define SFR_INTERRUPT_BUFF_BIT_INT1         SFR_interrupt_buff_H.bits.bit2
#define SFR_INTERRUPT_BUFF_BIT_T1           SFR_interrupt_buff_H.bits.bit3
#define SFR_INTERRUPT_BUFF_BIT_UART0        SFR_interrupt_buff_H.bits.bit4
#define SFR_INTERRUPT_BUFF_BIT_SPI          SFR_interrupt_buff_H.bits.bit5
#define SFR_INTERRUPT_BUFF_BIT_ADC          SFR_interrupt_buff_H.bits.bit6
#define SFR_INTERRUPT_BUFF_BIT_T2           SFR_interrupt_buff_H.bits.bit7

#define SFR_INTERRUPT_BUFF_BIT_T3           SFR_interrupt_buff_L.bits.bit0
#define SFR_INTERRUPT_BUFF_BIT_PWM1         SFR_interrupt_buff_L.bits.bit1
#define SFR_INTERRUPT_BUFF_BIT_UART1        SFR_interrupt_buff_L.bits.bit2
#define SFR_INTERRUPT_BUFF_BIT_PWM0         SFR_interrupt_buff_L.bits.bit3
#define SFR_INTERRUPT_BUFF_BIT_PWM1_FB      SFR_interrupt_buff_L.bits.bit4
#define SFR_INTERRUPT_BUFF_BIT_CRC          SFR_interrupt_buff_L.bits.bit5


#endif

/**************************** end of file *********************************************/

